//---------------------------------------------------------------------
//  Algorithmic Conjurings @ http://www.coyotegulch.com
//
//  Messiggy - A database of Messier objects, using the Itzam engine
//
//  callbacks.h
//
//---------------------------------------------------------------------
//
//  Copyright 2004 Scott Robert Ladd
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//  
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the
//      Free Software Foundation, Inc.
//      59 Temple Place - Suite 330
//      Boston, MA 02111-1307, USA.
//
//-----------------------------------------------------------------------
//
//  For more information on this software package, please visit
//  Scott's web site, Coyote Gulch Productions, at:
//
//      http://www.coyotegulch.com
//  
//-----------------------------------------------------------------------

#include <gtk/gtk.h>


void
on_new1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_open1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_save1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_save_as1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_quit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_cut1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_copy1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_paste1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_delete1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_main_window_delete_event            (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

gboolean
on_main_window_destroy_event           (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_quit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about_close_activate                (GtkButton       *button,
                                        gpointer         user_data);

void
on_about_close_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_messmap_motion_notify_event         (GtkWidget       *widget,
                                        GdkEventMotion  *event,
                                        gpointer         user_data);

gboolean
on_messmap_button_press_event          (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_main_window_motion_notify_event     (GtkWidget       *widget,
                                        GdkEventMotion  *event,
                                        gpointer         user_data);

gboolean
on_messmap_eventbox_motion_notify_event
                                        (GtkWidget       *widget,
                                        GdkEventMotion  *event,
                                        gpointer         user_data);

gboolean
on_messmap_eventbox_button_press_event (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_messobj_button_notes_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_messobj_button_image_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_messobj_button_close_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_not_impl_close_button_clicked       (GtkButton       *button,
                                        gpointer         user_data);

void
on_about_close_button_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_messier_button_annotate_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_messier_button_chart_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_messier_button_close_clicked        (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_messier_map_button_press_event      (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_messier_map_motion_notify_event     (GtkWidget       *widget,
                                        GdkEventMotion  *event,
                                        gpointer         user_data);

void
on_messier_map_show                    (GtkWidget       *widget,
                                        gpointer         user_data);

gboolean
on_messier_map_leave_notify_event      (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

void
on_messier_map_realize                 (GtkWidget       *widget,
                                        gpointer         user_data);

gboolean
on_messier_map_visibility_notify_event (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_main_window_activate_focus          (GtkWindow       *window,
                                        gpointer         user_data);

gboolean
on_messier_map_expose_event            (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);

void
on_annot_add_obs_button_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_annot_add_img_button_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_annot_add_art_button_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_annot_cancel_button_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_annot_apply_button_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_annot_ok_button_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_object_close_button_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_object_image_add_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_object_image_open_button_clicked    (GtkButton       *button,
                                        gpointer         user_data);

void
on_object_image_delete_button_clicked  (GtkButton       *button,
                                        gpointer         user_data);

void
on_object_image_preview_check_toggled  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_object_image_add_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_object_image_remove_button_clicked  (GtkButton       *button,
                                        gpointer         user_data);

void
on_object_image_open_button_clicked    (GtkButton       *button,
                                        gpointer         user_data);

void
on_object_image_preview_check_clicked  (GtkButton       *button,
                                        gpointer         user_data);

void
on_build_database1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_db_build_close_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_object_annot_add_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_object_annot_remove_button_clicked  (GtkButton       *button,
                                        gpointer         user_data);

void
on_object_annot_open_button_clicked    (GtkButton       *button,
                                        gpointer         user_data);

void
on_object_annot_print_button_clicked   (GtkButton       *button,
                                        gpointer         user_data);

void
on_object_annot_print_preview_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_window_realize                 (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_main_window_realize                 (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_add_annotation_note_clear_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_add_annotation_note_import_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_add_annotation_add_button_clicked   (GtkButton       *button,
                                        gpointer         user_data);

void
on_add_annotation_cancel_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_object_annot_add_image_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_object_annot_add_note_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_object_annot_add_link_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_object_annot_remove_button_clicked  (GtkButton       *button,
                                        gpointer         user_data);

void
on_object_annot_open_button_clicked    (GtkButton       *button,
                                        gpointer         user_data);

void
on_add_note_add_button_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_add_note_cancel_button_clicked      (GtkButton       *button,
                                        gpointer         user_data);

void
on_add_image_browse_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_add_image_add_button_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_add_image_cancel_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_add_link_test_button_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_add_link_add_button_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_add_link_cancel_button_clicked      (GtkButton       *button,
                                        gpointer         user_data);

void
on_show_note_export_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_show_note_cancel_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);
